## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate protobuf-codegen

Name:           rust-protobuf-codegen
Version:        2.28.0
Release:        %autorelease
Summary:        Code generator for rust-protobuf

License:        MIT
URL:            https://crates.io/crates/protobuf-codegen
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused protoc-gen-rust and protobuf-bin-gen-rust-do-not-use executables
Patch:          protobuf-codegen-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Code generator for rust-protobuf. Includes a library and `protoc-gen-
rust` binary. See `protoc-rust` and `protobuf-codegen-pure` crates.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.28.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 23 2023 Fabio Valentini <decathorpe@gmail.com> - 2.28.0-1
- Update to version 2.28.0

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 2.25.2-6
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.25.2-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Fabio Valentini <decathorpe@gmail.com> - 2.25.2-1
- Update to version 2.25.2; Fixes RHBZ#2016852

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 2.25.1-1
- Update to version 2.25.1; Fixes RHBZ#1991288

* Sun Aug 08 2021 Fabio Valentini <decathorpe@gmail.com> - 2.24.2-1
- Update to version 2.24.2; Fixes RHBZ#1991269

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.24.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Fabio Valentini <decathorpe@gmail.com> - 2.24.1-1
- Update to version 2.24.1; Fixes RHBZ#1953402

* Wed Mar 24 2021 Fabio Valentini <decathorpe@gmail.com> - 2.22.1-1
- Update to version 2.22.1.

* Sun Feb 07 2021 Fabio Valentini <decathorpe@gmail.com> - 2.22.0-1
- Update to version 2.22.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 2021 Fabio Valentini <decathorpe@gmail.com> - 2.20.0-1
- Update to version 2.20.0.

* Tue Dec 08 2020 Fabio Valentini <decathorpe@gmail.com> - 2.18.1-1
- Update to version 2.18.1.

* Mon Oct 05 2020 Fabio Valentini <decathorpe@gmail.com> - 2.18.0-1
- Update to version 2.18.0.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 2.17.0-1
- Update to version 2.17.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 2.16.2-1
- Update to 2.16.2

* Wed Apr 15 2020 Josh Stone <jistone@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Fri Mar 27 07:54:51 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.12.0-1
- Update to 2.12.0

* Mon Mar 02 2020 Josh Stone <jistone@redhat.com> - 2.10.2-1
- Update to 2.10.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 17 2020 Josh Stone <jistone@redhat.com> - 2.10.1-1
- Update to 2.10.1

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 2.10.0-1
- Update to 2.10.0

* Mon Nov 11 15:00:49 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.8.1-1
- Initial package

## END: Generated by rpmautospec
